#
# spec file for package perl-XML-Atom-SimpleFeed
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-Atom-SimpleFeed
Version:        0.902
Release:        lp151.1.1
%define cpan_name XML-Atom-SimpleFeed
Summary:        No-fuss generation of Atom syndication feeds
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XML-Atom-SimpleFeed/
Source0:        https://cpan.metacpan.org/authors/id/A/AR/ARISTOTLE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This is a minimal API for generating Atom syndication feeds quickly and
easily. It supports all aspects of the Atom format itself but has no
mechanism for the inclusion of extension elements.

You can supply strings for most things, and the module will provide useful
defaults. When you want more control, you can provide data structures, as
documented, to specify more particulars.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Thu Nov  2 2017 coolo@suse.com
- updated to 0.902
  see /usr/share/doc/packages/perl-XML-Atom-SimpleFeed/Changes
  0.902 Thu 02 Nov 2017
  - Proper packaging (mea máxima culpa)
  - No code changes
  0.901 Wed 01 Nov 2017
  - Support for Time::Date objects in date constructs
* Wed Sep 23 2015 coolo@suse.com
- updated to 0.900
  see /usr/share/doc/packages/perl-XML-Atom-SimpleFeed/Changes
  0.900 Tue 22 Sep 2015
  - Support for arbitrary XML encodings
  [INCOMPATIBLE CHANGE]
  - Removal of ->no_generator method.
  To suppress the default generator tag, specify an undef generator.
  0.863 Thu 10 Sep 2015
  [INCOMPATIBLE CHANGE]
  - Datetime object support now via ->epoch method instead of ->strftime.
  Despite the fact that this is an incompatible change, it should actually
  be a non-event for almost all users, because every datetime module with
  a ->strftime method that I could find on CPAN also has an ->epoch method
  (as well as vice versa).
  However, the ->strftime methods of many modules are (subtly or badly)
  broken in the face of timezones, even as their ->epoch methods work right
  (or else are broken subtly enough to escape notice).
  But if you have written your own datetime class, and it has a ->strftime
  method but not an ->epoch method, and you pass an instance of your class
  to an instance of this module, then the feeds you generate that way will
  now be broken.
  On balance, I believe that this change will unbreak vastly more code than
  it breaks. Therefore I decided to switch.
  0.862 Tue 08 Sep 2015
  - Correct RFC 3339 formatting for datetime objects
  (Thanks, virii)
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.861
  see /usr/share/doc/packages/perl-XML-Atom-SimpleFeed/Changes
* Mon Oct 10 2011 coolo@suse.com
- initial package 0.86
  * created by cpanspec 1.78.06
